Change 14657

Make P4Ruby build with Ruby 2.0.0 (on Mac at least). Mostly
cosmetic changes: just makes the build script handle the
Ruby 2 mkmf and the changes also work with 1.8.7 and 1.9.3
so they should probably have been like this all along.

Infrastructure change only - no functional change
2 edited 0 added 0 deleted
Tip: Use n and p to cycle through the changes.